﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Platform.Model
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;

    [Table("DoiTacGiaoHang")]
    public partial class DoiTacGiaoHang
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public DoiTacGiaoHang()
        {
            this.ChungTuGiaoHangs = new HashSet<ChungTuGiaoHang>();
        }

        [Key]
        public string MaNguoiGiaoHang { get; set; }
        public string MaNhaCungCap { get; set; }
        public string PhanLoai { get; set; }
        public string XungHo { get; set; }
        public string TenNguoiGiaoHang { get; set; }
        public string ChiNhanh { get; set; }
        public string DiaChi { get; set; }
        public string SoDTDD_1 { get; set; }
        public string SoDTDD_2 { get; set; }
        public string DienThoaiCoDinh { get; set; }
        public string Fax { get; set; }
        public string Email { get; set; }
        public Nullable<System.DateTime> NgaySinh { get; set; }
        public string MaSoThue { get; set; }
        public string SoTaiKhoanNganHang { get; set; }
        public string TenNganHang { get; set; }
        public Nullable<int> TongDonDaGiao { get; set; }
        public Nullable<double> TongTienDaGiao { get; set; }
        public Nullable<double> TongTrongLuongDaGiao { get; set; }
        public string CMND { get; set; }
        public Nullable<System.DateTime> NgayCap { get; set; }
        public string NoiCap { get; set; }
        public Nullable<bool> DangHoatDong { get; set; }

        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<ChungTuGiaoHang> ChungTuGiaoHangs { get; set; }

        public Nullable<DateTime> NgayTao { get; set; }
        public string MaNguoiTao { get; set; }
        public Nullable<bool> DaXoa { get; set; }
        public string MaNguoiXoa { get; set; }
        public DateTime? NgayXoa { get; set; }
    }
}
